## kio-zeroconf 25.08.2+p24.04+vunstable+git20251010.1048

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# Release service version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "11")
set (RELEASE_SERVICE_VERSION_MICRO "70")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(kio-zeroconf VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "5.15.2")
set(KF_MIN_VERSION "5.96.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEClangFormat)
include(KDEGitCommitHooks)

include(ECMDeprecationSettings)
if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.5.0")
    set(KF_MIN_VERSION "5.240.0")
    set(KF_MAJOR_VERSION "6")
else()
    set(KF_MAJOR_VERSION "5")
endif()
include(FeatureSummary)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core)

find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS DBusAddons DNSSD I18n KIO)

ecm_set_disabled_deprecation_versions(
    QT 6.5
    KF 5.102.0
)

add_subdirectory(kioworker)
add_subdirectory(kdedmodule)

install(FILES org.kde.kio_zeroconf.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

ki18n_install(po)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

## kio-zeroconf 25.08.0

=== debian/changelog ===
kio-zeroconf (4:25.08.0-0zneon+24.04+noble+release+build18) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 23:10:24 +0000

kio-zeroconf (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 13:45:38 +0000

kio-zeroconf (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 06 Jul 2025 11:24:01 +0000

kio-zeroconf (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:24:01 +0000

kio-zeroconf (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:13:45 +0000

kio-zeroconf (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:19:25 +0000

kio-zeroconf (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 14:40:30 +0000

kio-zeroconf (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:28:40 +0000

kio-zeroconf (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:20:36 +0000

kio-zeroconf (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:16:03 +0000

kio-zeroconf (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:22:26 +0000

kio-zeroconf (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:01:38 +0000

kio-zeroconf (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:31:44 +0000

kio-zeroconf (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:34:08 +0000

kio-zeroconf (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:10:21 +0000

kio-zeroconf (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:31:31 +0000

kio-zeroconf (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:22:11 +0000

kio-zeroconf (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:14:18 +0000

kio-zeroconf (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:54:25 +0000

kio-zeroconf (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 16:57:04 +0000

kio-zeroconf (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:29:19 +0000

kio-zeroconf (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 22:58:03 +0000

kio-zeroconf (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:00:57 +0000

kio-zeroconf (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:31:44 +0000

kio-zeroconf (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:19:13 +0000

kio-zeroconf (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:53:01 +0000

kio-zeroconf (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:29:44 +0000

kio-zeroconf (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:37:54 +0000

kio-zeroconf (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:59:04 +0000

kio-zeroconf (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:23:03 +0000

kio-zeroconf (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 23 Aug 2022 13:05:32 +0000

kio-zeroconf (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:29:43 +0000

zeroconf-ioslave (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:52:07 +0000

zeroconf-ioslave (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:48:33 +0000

zeroconf-ioslave (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 14:01:06 +0000

zeroconf-ioslave (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:09:37 +0000

zeroconf-ioslave (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 15:49:23 +0000

zeroconf-ioslave (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Oct 2021 11:34:04 +0000

zeroconf-ioslave (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:36:00 +0000

zeroconf-ioslave (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:24:29 +0000

zeroconf-ioslave (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:20:56 +0000

zeroconf-ioslave (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 12:09:14 +0000

zeroconf-ioslave (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 09:00:09 +0000

zeroconf-ioslave (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:27:59 +0000

zeroconf-ioslave (4:20.12.3-0neon) focal; urgency=medium

  * New release



=== debian/control ===
Source: kio-zeroconf
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kdbusaddons-dev,
               kf6-kdnssd-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/kio-zeroconf.git
Vcs-Browser: https://invent.kde.org/neon/kde/kio-zeroconf
Maintainer: Neon CI <neon@kde.org>

Package: kde-zeroconf
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: zeroconf plugins and kio slaves for KDE
 Zeroconf is an implementation of IPv4 link-local addresses (RFC3927)
 which can be used for ad-hoc networks.  Addresses are allocated from
 the 169.254.0.0/16 range semi-randomly.
 .
 Keywords: avahi, dnssd.
 .
 This package is part of the KDE networking module.

## kio-zeroconf 25.08.1

=== debian/changelog ===
kio-zeroconf (4:25.08.1-0zneon+24.04+noble+release+build20) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 11:44:33 +0000

kio-zeroconf (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 10:19:18 +0000

## kio-zeroconf 25.08.2

=== debian/changelog ===
kio-zeroconf (4:25.08.2-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 08:57:29 +0000

kio-zeroconf (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:06:35 +0000

## kio-zeroconf 25.08.2+p24.04+vstable+git20251015.0715

=== debian/changelog ===
kio-zeroconf (4:25.08.2+p24.04+vstable+git20251015.0715-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 07:15:55 +0000

## kio-zeroconf 25.08.2+p24.04+vstable+git20251019.0222

=== debian/changelog ===
kio-zeroconf (4:25.08.2+p24.04+vstable+git20251019.0222-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:22:24 +0000

## kio-zeroconf 25.08.2+p24.04+vstable+git20251031.0848

=== debian/changelog ===
kio-zeroconf (4:25.08.2+p24.04+vstable+git20251031.0848-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 08:48:18 +0000

## kio-zeroconf 25.08.2+p24.04+vunstable+git20251010.1048

=== debian/changelog ===
kio-zeroconf (4:25.08.2+p24.04+vunstable+git20251010.1048-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 10:48:42 +0000

## kio-zeroconf 25.08.2+p24.04+vunstable+git20251020.1123

=== debian/changelog ===
kio-zeroconf (4:25.08.2+p24.04+vunstable+git20251020.1123-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 11:23:36 +0000

## kio-zeroconf 25.08.3

=== debian/changelog ===
kio-zeroconf (4:25.08.3-0zneon+24.04+noble+release+build23) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 18:40:18 +0000

kio-zeroconf (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:44:04 +1000

## kio-zeroconf 25.08.3+p24.04+vunstable+git20251201.0243

=== debian/changelog ===
kio-zeroconf (4:25.08.3+p24.04+vunstable+git20251201.0243-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 02:43:20 +0000

## kio-zeroconf 25.08.3+p24.04+vunstable+git20251206.0651

=== debian/changelog ===
kio-zeroconf (4:25.08.3+p24.04+vunstable+git20251206.0651-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 06:51:50 +0000

## kio-zeroconf 25.12.0

=== debian/changelog ===
kio-zeroconf (4:25.12.0-0zneon+24.04+noble+release+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 15:37:36 +0000

kio-zeroconf (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:40:31 +1000

## kio-zeroconf 25.12.0+p24.04+vstable+git20251222.0518

=== debian/changelog ===
kio-zeroconf (4:25.12.0+p24.04+vstable+git20251222.0518-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Dec 2025 05:18:02 +0000

## kio-zeroconf 25.12.0+p24.04+vstable+git20251231.0336

=== debian/changelog ===
kio-zeroconf (4:25.12.0+p24.04+vstable+git20251231.0336-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 03:36:12 +0000

## kio-zeroconf 25.12.1

=== debian/changelog ===
kio-zeroconf (4:25.12.1-0zneon+24.04+noble+release+build26) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 10:26:47 +0000

kio-zeroconf (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:31:26 +1000

## kio-zeroconf 25.12.1+p24.04+vstable+git20260106.1542

=== debian/changelog ===
kio-zeroconf (4:25.12.1+p24.04+vstable+git20260106.1542-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 15:42:42 +0000

## kio-zeroconf 25.12.1+p24.04+vstable+git20260116.1044

=== debian/changelog ===
kio-zeroconf (4:25.12.1+p24.04+vstable+git20260116.1044-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 10:44:56 +0000

## kio-zeroconf 25.12.1+p24.04+vstable+git20260129.0148

=== debian/changelog ===
kio-zeroconf (4:25.12.1+p24.04+vstable+git20260129.0148-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 01:48:16 +0000

## kio-zeroconf 25.12.1+p24.04+vunstable+git20260123.0513

=== debian/changelog ===
kio-zeroconf (4:25.12.1+p24.04+vunstable+git20260123.0513-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 05:13:23 +0000

## kio-zeroconf 25.12.1+p24.04+vunstable+git20260131.0221

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# Release service version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "26")
set (RELEASE_SERVICE_VERSION_MINOR "03")
set (RELEASE_SERVICE_VERSION_MICRO "70")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(kio-zeroconf VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "6.5.0")
set(KF_MIN_VERSION "6.0.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEClangFormat)
include(KDEGitCommitHooks)

include(ECMDeprecationSettings)
include(FeatureSummary)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS DBusAddons DNSSD I18n KIO)

ecm_set_disabled_deprecation_versions(
    QT 6.5
    KF 5.102.0
)

add_subdirectory(kioworker)
add_subdirectory(kdedmodule)

install(FILES org.kde.kio_zeroconf.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

ki18n_install(po)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== kdedmodule/CMakeLists.txt ===
add_library(kded_dnssdwatcher MODULE)
set_target_properties(kded_dnssdwatcher PROPERTIES
    OUTPUT_NAME dnssdwatcher
)

set(kded_dnssdwatcher_dbus_SRCS)
qt_add_dbus_adaptor(kded_dnssdwatcher_dbus_SRCS
    org.kde.kdnssd.xml
    dnssdwatcher.h
    DNSSDWatcher)

target_sources(kded_dnssdwatcher PRIVATE
    dnssdwatcher.cpp
    watcher.cpp
    ${kded_dnssdwatcher_dbus_SRCS}
)

target_link_libraries(kded_dnssdwatcher PRIVATE
    KF6::DBusAddons
    KF6::KIOCore
    KF6::DNSSD
)

install(TARGETS kded_dnssdwatcher DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kded)

install(FILES org.kde.kdnssd.xml
        DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})

=== kioworker/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kio5_zeroconf\")

add_library(kio_zeroconf MODULE)
set_target_properties(kio_zeroconf PROPERTIES
    OUTPUT_NAME "zeroconf"
)

target_sources(kio_zeroconf PRIVATE
    dnssd.cpp
)

target_link_libraries(kio_zeroconf PRIVATE
    KF6::DNSSD
    KF6::I18n
    KF6::KIOCore
)

install(TARGETS kio_zeroconf
        DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kio)

install(FILES zeroconf.desktop
        DESTINATION ${KDE_INSTALL_DATADIR}/remoteview)

=== debian/changelog ===
kio-zeroconf (4:25.12.1+p24.04+vunstable+git20260131.0221-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:21:08 +0000
